GET /projects
Operation ID: getProjects
Auth: oauth2
Description
Returns the compact project records for some filtered set of projects. Use one or more of the parameters provided to filter the projects returned. *Note: This endpoint may timeout for large domains. Try filtering by team!*
Parameters (7)
(boolean, query, optional)
Only return projects whose `archived` field takes on the value of this parameter.
(integer, query, optional)
Results per page. The number of objects to return per page. The value must be between 1 and 100.
(string, query, optional)
Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. 'Note: You can only pass in an offset that was returned to you via a previously paginated request.'
(array, query, optional)
Defines fields to return. Some requests return *compact* representations of objects in order to conserve resources and complete the request more efficiently. Other times requests return more information than you may need. This option allows you to list the exact set of fields that the API should be sure to return for the objects. The field names should be provided as paths, described below. The id of included objects will always be returned, regardless of the field options.
(boolean, query, optional)
Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
(string, query, optional)
The team to filter projects on.
(string, query, optional)
The workspace or organization to filter projects on.
No probe data for this endpoint yet.